#ifndef ITAT_CHALLANGE_OLYMPICS_EVENT_H
#define ITAT_CHALLANGE_OLYMPICS_EVENT_H

#include <QObject>
#include <qqml.h>

class EventInfo : QObject {
  Q_OBJECT
  // QML_ELEMENT

  Q_PROPERTY(QString eventName READ eventName WRITE setEventName);
  Q_PROPERTY(QList<QString> competitors READ competitors WRITE setCompetitors);

  public:
  explicit EventInfo(QObject *parent = nullptr);

  QString eventName() const;
  void setEventName(const QString &newEventName);

  QList<QString> competitors() const;
  void setCompetitors(const QList<QString> &newCompetitors);

  private:
  QString m_eventName;
  QList<QString> m_competitors;
};

#endif 
